<template>
    <Head>
        <title>Редактирование категории: {{ form.title }}</title>
    </Head>
    <div class="g-titlebar">
        <h1>Редактирование категории: {{ form.title }}</h1>
        <Link href="/product_categories/" class="right">
            <font-awesome-icon icon="rotate-left" />
            Вернуться к списку категорий
        </Link>
    </div>
    <form class="b-form" :class="{ loading: form.processing }" @submit.prevent="submit">
        <b-formrow
            title="Название"
            hint="Человекопонятное название во мн.числе, напр.: Шины, Диски, Видеорегистраторы"
            class="type_text"
            :error="errors.title"
        >
            <el-input type="text" v-model="form.title" />
        </b-formrow>
        <b-formrow title="Ведущий Менеджер по Продажам" class="type_select" :error="errors.lead_sales_id">
            <el-select v-model="form.lead_sales_id" placeholder="Выберите">
                <el-option v-for="(oValue, oTitle) in teamUserNames" :key="oValue" :label="oValue" :value="oTitle" />
            </el-select>
        </b-formrow>
        <b-formrow>
            <button class="g-button">Сохранить изменения</button>
        </b-formrow>
    </form>
</template>

<script>
import { router } from "@inertiajs/vue3";

export default {
    props: {
        id: Number,
        // Это первоначальные значения. Текущие — в this.form
        values: Object,
        teamUserNames: Object,
        errors: Object,
    },
    data() {
        return {
            // Текущие значения
            form: {
                ...this.values,
                // Преобразуем int-ключи в перечислении в строки, чтобы контрол, правильно работал с точным сравнением
                lead_sales_id: this.values.lead_sales_id ? this.values.lead_sales_id + "" : null,
            },
        };
    },
    methods: {
        submit() {
            router.put(`/product_categories/${this.id}`, this.form);
        },
    },
};
</script>

<style scoped></style>
